如何在 Windows 上升级 PHP 已经内置的扩展,比如 Zip?

wudi
  • 59

我用的是目前最新版的 PHP 7.4.14
内置 Zip 扩展版本是 1.15.6(估计 2019 年的)
https://pecl.php.net/package/zip
最新的版本是 1.19.2(PHP 8.0.1 内置的就是这个)
由于业务需要,我想把多个文件压缩在一个存档里,看了 PHP 文档,只有 Zip 可选
想用最新版的,于是

extension=zip

结果:

PHP Warning:Module 'zip' already loaded in Unknown on line 0

可有大神知道如何解决!
如果行不通,为啥 PECL 上提供下载?

回复
阅读 871
2 个回答

检查配置文件, extension=zip 应该是有多行. 要升级, 只能用同版本php的zip, 直接覆盖就行.
不同版本要自己编译.

没有升级配置成功的(还有不认识那几个英文的)还是不要回答了!

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏